You can fetch a list of all collections by making a GET request to https://api.intercom.io/help_center/collections.
Requires the read_articles_scope OAuth scope.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
- The production API serverhttps://api.intercom.io/help_center/collections
- The european API serverhttps://api.eu.intercom.io/help_center/collections
- The australian API serverhttps://api.au.intercom.io/help_center/collections
curl -i -X GET \
'https://api.intercom.io/help_center/collections?page=1&per_page=20&help_center_id=123' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'Successful
pagesobject(Pagination Object)
The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.
Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.
dataArray of objects(Collection)
An array of collection objects
Response
{ "type": "list", "data": [ { … }, { … } ], "total_count": 2, "pages": { "type": "pages", "page": 1, "per_page": 20, "total_pages": 1 } }